phing-tasks-ext-phk

# Class: PhkPackageTask Source Location: /tasks/ext/phk/PhkPackageTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --PhkPackageTask
See http://phk.tekwire.net/ for more information about PHK. #### Author(s): Alexey Shockov <alexey@shockov.com> #### Version: $Revision: 552 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods createWebAccess init main setCliRunScript setCompress setCrcCheck setInputDirectory setLibRunScript setName setOutputFile setPhkCreatorPath setPluginClass setStrip setSummary setVersion setWebMainRedirect setWebRunScript
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 31] See http://phk.tekwire.net/ for more information about PHK. #### Tags:
author: | Alexey Shockov <alexey@shockov.com>
version: | $Revision: 552 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method createWebAccess [line 60]
`PhkPackageWebAccess createWebAccess( )`
#### Tags:
access: | public
[ Top ] ### method init [line 171]
`void init( )`
#### Tags:
access: | public
Overrides Task::init() (Called by the parser to let the task initialize properly.) [ Top ] ### method main [line 178]
`void main( )`
Main method... #### Tags:
access: | public
Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setCliRunScript [line 81]
`void setCliRunScript( string $cliRunScript)`
#### Tags:
access: | public
#### Parameters:
string | $cliRunScript |
[ Top ] ### method setCompress [line 146]
`void setCompress( string $compress)`
May be none, gzip or bzip2. #### Tags:
access: | public
#### Parameters:
string | $compress |
[ Top ] ### method setCrcCheck [line 67]
`void setCrcCheck( string $crcCheck)`
#### Tags:
access: | public
#### Parameters:
string | $crcCheck |
[ Top ] ### method setInputDirectory [line 130]
`void setInputDirectory( string $inputDirectory)`
#### Tags:
access: | public
#### Parameters:
string | $inputDirectory |
[ Top ] ### method setLibRunScript [line 88]
`void setLibRunScript( string $libRunScript)`
#### Tags:
access: | public
#### Parameters:
string | $libRunScript |
[ Top ] ### method setName [line 95]
`void setName( string $name)`
#### Tags:
access: | public
#### Parameters:
string | $name |
[ Top ] ### method setOutputFile [line 137]
`void setOutputFile( string $outputFile)`
#### Tags:
access: | public
#### Parameters:
string | $outputFile |
[ Top ] ### method setPhkCreatorPath [line 164]
`void setPhkCreatorPath( srting $path)`
Path to PHK_Creator.phk file. #### Tags:
access: | public
#### Parameters:
srting | $path |
[ Top ] ### method setPluginClass [line 109]
`void setPluginClass( string $pluginClass)`
#### Tags:
access: | public
#### Parameters:
string | $pluginClass |
[ Top ] ### method setStrip [line 155]
`void setStrip( srting $strip)`
True or false. #### Tags:
access: | public
#### Parameters:
srting | $strip |
[ Top ] ### method setSummary [line 123]
`void setSummary( string $summary)`
#### Tags:
access: | public
#### Parameters:
string | $summary |
[ Top ] ### method setVersion [line 116]
`void setVersion( string $version)`
#### Tags:
access: | public
#### Parameters:
string | $version |
[ Top ] ### method setWebMainRedirect [line 102]
`void setWebMainRedirect( string $webMainRedirect)`
#### Tags:
access: | public
#### Parameters:
string | $webMainRedirect |
[ Top ] ### method setWebRunScript [line 74]
`void setWebRunScript( string $webRunScript)`
#### Tags:
access: | public
#### Parameters:
string | $webRunScript |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:36 +0200 by phpDocumentor 1.4.3